Skip to main content
POST
cURL

Path Parameters

projectId
string
required

Body

application/json
friendlyName
string

The friendly name of the certificate to filter by.

commonName
string

The common name of the certificate to filter by.

offset
number
default:0

The offset to start from. If you enter 10, it will start from the 10th certificate.

Required range: x >= 0
limit
number
default:25

The number of certificates to return.

Required range: 1 <= x <= 100
forPkiSync
boolean
default:false

Retrieve only certificates available for PKI sync.

Search by SAN, CN, certificate ID, or serial number.

status
string

Filter by certificate status.

profileIds
string<uuid>[]

Filter by certificate profile IDs.

fromDate
string<date-time>

Filter certificates created from this date.

toDate
string<date-time>

Filter certificates created until this date.

metadata
object[]

Filter by metadata key-value pairs. Each entry should have a key (required) and optionally a value to match against.

extendedKeyUsage
string

Filter by extended key usage. Only certificates containing this EKU will be returned (e.g. 'codeSigning', 'serverAuth').

keyAlgorithm

Filter by key algorithm (e.g. 'RSA_2048', 'EC_prime256v1').

signatureAlgorithm
string

Filter by signature algorithm (e.g. 'RSA-SHA256', 'ECDSA-SHA256').

keySizes
number[]

Filter by key sizes in bits (e.g. [2048, 4096]).

caIds
string<uuid>[]

Filter by certificate authority IDs.

enrollmentTypes
string[]

Filter by enrollment types (e.g. 'api', 'est', 'acme', 'scep').

source

Filter by certificate source ('issued', 'discovered', 'imported').

notAfterFrom
string<date-time>

Filter certificates expiring on or after this date.

notAfterTo
string<date-time>

Filter certificates expiring on or before this date.

notBeforeFrom
string<date-time>

Filter certificates issued on or after this date.

notBeforeTo
string<date-time>

Filter certificates issued on or before this date.

applicationId
string<uuid>

Filter to certificates issued through a specific Application.

applicationIds
string<uuid>[]

Filter to certificates issued through any of the supplied Applications.

sortBy
enum<string>

Column to sort by (e.g. 'notAfter', 'notBefore', 'commonName').

Available options:
notAfter,
notBefore,
createdAt,
commonName,
keyAlgorithm,
status
sortOrder
enum<string>

Sort direction: 'asc' or 'desc'.

Available options:
asc,
desc

Response

Default Response

certificates
object[]
required
totalCount
number
required